<script>
export default {
  props: {
    data: {
      required: true,
      type: Object,
    },
  },
};
</script>

<template>
  <SlpContainer>
    <div class="overview-container">
      <SlpTypography variant="heading1-bold" tag="h2" class="slp-mb-24">
        {{ data.header }}</SlpTypography
      >
      <SlpTypography variant="heading5" tag="h3" class="description">{{
        data.description
      }}</SlpTypography>
      <div class="card-container">
        <SlpCard200
          v-for="block in data.blocks"
          :key="block.header"
          class="block"
          background
        >
          <SlpTypography variant="heading4-bold" tag="h4" class="slp-mb-24">{{
            block.header
          }}</SlpTypography>
          <div
            v-for="(offer, index) in block.offers"
            :key="`${offer.title}-${index}`"
          >
            <SlpTypography
              v-if="offer.title"
              variant="body1-bold"
              tag="p"
              class="slp-mb-32"
              >{{ offer.title }}</SlpTypography
            >
            <div
              v-for="item in offer.list"
              :key="item"
              class="slp-flex slp-pl-16 slp-pb-32 list-item"
              style="align-items: center"
            >
              <SlpIcon
                name="check"
                class="slp-mr-8 icon"
                variant="product"
                alt="Check icon"
                size="sm"
              />
              <SlpTypography
                class="slp-pl-8"
                tag="div"
                variant="body1"
                v-html="$md.render(item)"
              >
              </SlpTypography>
            </div>
          </div>
        </SlpCard200>
        <SlpCard200 class="additional-information block">
          <SlpTypography variant="heading4-bold" tag="h4" class="header">
            {{ data.information.header }}</SlpTypography
          >
          <div>
            <div
              v-for="item in data.information.list"
              :key="item"
              class="slp-flex slp-pl-16 slp-pb-32"
              style="align-items: center"
            >
              <SlpIcon
                name="check"
                class="slp-mr-8 icon"
                variant="product"
                alt="Check icon"
                size="sm"
              />
              <SlpTypography
                class="slp-pl-8"
                tag="div"
                variant="body1"
                v-html="$md.render(item)"
              >
              </SlpTypography>
            </div>
          </div>
        </SlpCard200>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.overview-container {
  margin: $spacing-96 0;
  .description {
    margin-bottom: 40px;
  }
}
.card-container {
  display: grid;
  grid-template-columns: 1f;
  gap: $spacing-32;
  @media (min-width: $breakpoint-lg) {
    grid-template-columns: 1fr 1fr;
  }
}
.additional-information {
  border: 1px solid #e8e7eb;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  @media (min-width: $breakpoint-lg) {
    flex-direction: row;
  }
  .header {
    min-width: 30%;
    margin-right: $spacing-32;
    margin-bottom: $spacing-32;
  }
  @media (min-width: $breakpoint-lg) {
    grid-column: 1 / -1;
  }
}
.block {
  max-width: 100%;
  border-radius: 8px;
  &:hover {
    cursor: auto;
    box-shadow: none;
  }
  @media (max-width: $breakpoint-lg) {
    padding: $spacing-16;
  }
}
.icon {
  align-self: flex-start;
}
</style>
